#!/bin/sh

# this runs a daemon to set the gtk theme, we can stop it in the end
gtk_set_theme(){
    if [ -s "$HOME/.xsettingsd" ] && ! pidof xsettingsd 1>/dev/null ; then

        # only set xsettingsd if we don't have already a gtk conf:
        if ! [ -s "$HOME/.gtkrc-2.0" ] && ! [ -s "$HOME/.config/gtk-3.0/settings.ini" ] ; then
            ( xsettingsd 1>/dev/null 2>&1 & )
        fi
    fi
}

keyboard_conf_set(){
    # only useful for live mode (restarting desktop after to select the keyboard)
    if grep -qs "boot=live" /proc/cmdline && test -s /etc/default/keyboard ; then
        . /etc/default/keyboard
        setxkbmap -option '' -model "$XKBMODEL" "$XKBLAYOUT" "$XKBVARIANT" "$XKBOPTIONS"
    fi
}

gtk_set_theme &
keyboard_conf_set &
