#!/bin/sh

# update: since we have cairo-dock, we don't want to show predefined epplets, let the user open them if wants to
exit




. /usr/lib/elive-tools/functions

if ! echo "$PATH" | grep -qs "/usr/sbin" ; then
    # needed for: laptop-detect
    export PATH="${PATH}:/usr/local/sbin:/usr/sbin:/sbin"
fi


# check if they are installed first
if ls /var/lib/dpkg/info/e16-epplets*list 1>/dev/null 2>&1 ; then
    # mixer epplet
    # update: not very beautiful and we have the cairo-dock too
    if cat /proc/asound/cards | grep -qsE "^\s+0" ; then
        ( /usr/bin/E-Mixer.epplet 2>/dev/null & )
    fi

    # always load the cpu epplet
    ( /usr/bin/E-Cpu.epplet 2>/dev/null & )

    # battery epplet
    if laptop-detect ; then
        # battery epplet
        ( /usr/bin/E-Power.epplet 2>/dev/null & )
    fi
fi


